MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Get Token BalanceGet Usage By CategoryStripe Webhook - Record Verified Top-UpRecord x402 Token Top-Up
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceBilling

Get Usage By Category

GET
/v1/billing/usage-by-category

Return the signed-in user's personal token debits broken down by consumption type (llm_completion_debit, mcp_tool_debit). A category with no debits is absent from the response, not present with value 0.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/billing/usage-by-category"
{  "usage": {    "property1": 0,    "property2": 0  }}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Get Token Balance

Previous Page

Stripe Webhook - Record Verified Top-Up

Next Page